Subject: Re: bug#78298: [PATCH] Scroll with mouse wheel in calendar

From: Michael Heerdegen <[email-masked]>
Date: Sat, 10 May 2025 07:05:01 +0200

Manuel Giraud <[email-masked]> writes:

> I've checked: calendar-for/backward-year place the cursor on current the
> day of month while the functions I introduce place it on the first day
> of the month.
>
> For such a tiny difference, I think I should remove
> calendar-scroll-right-year (and left) from this patch.  WDYT?

I would prefer to keep the behavior consistent.

Or was it not even consistent before your patch?  I see that <next> is
bound to `calendar-scroll-left-three-months' and C-x ] to
`calendar-forward-year'.  Your patch didn't touch these.  Did these
already behave differently?

Michael.